#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire3200five4xi.py">
#<abstract4xi abstract = "fires to direction five and to distance 3200"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2five4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2FIVE - COORDINATE SIGNS OF SHOOT2FIVE4XI: (X - ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2five32004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2five32004xi = {
        1 :  '-1006x1915y2357z',
        2 :  '-1013x918y2893z',
        3 :  '-101x22y3198z',
        4 :  '-1055x2072y2198z',
        5 :  '-1082x882y2879z',
        6 :  '-1116x1880y2335z',
        7 :  '-1123x2811y1034z',
        8 :  '-1150x841y2865z',
        9 :  '-1173x2033y2174z',
        10 :  '-1216x795y2850z',
        11 :  '-1226x1838y2313z',
        12 :  '-1273x2758y1004z',
        13 :  '-1281x745y2836z',
        14 :  '-1290x1986y2151z',
        15 :  '-1335x1790y2291z',
        16 :  '-1343x689y2821z',
        17 :  '-134x21y3197z',
        18 :  '-1403x630y2805z',
        19 :  '-1405x1933y2127z',
        20 :  '-1420x2696y974z',
        21 :  '-1441x1735y2269z',
        22 :  '-1460x565y2790z',
        23 :  '-150x969y3046z',
        24 :  '-1514x497y2774z',
        25 :  '-1517x1874y2103z',
        26 :  '-1545x1674y2246z',
        27 :  '-1564x2627y943z',
        28 :  '-1565x424y2758z',
        29 :  '-1612x348y2742z',
        30 :  '-1627x1807y2079z',
        31 :  '-1647x1606y2223z',
        32 :  '-1655x267y2725z',
        33 :  '-167x18y3195z',
        34 :  '-1693x183y2708z',
        35 :  '-1705x2549y912z',
        36 :  '-1728x96y2691z',
        37 :  '-1734x1734y2054z',
        38 :  '-1745x1533y2200z',
        39 :  '-1757x5y2674z',
        40 :  '-1838x1655y2029z',
        41 :  '-1840x1453y2177z',
        42 :  '-1841x2463y882z',
        43 :  '-1931x1367y2153z',
        44 :  '-1938x1569y2005z',
        45 :  '-1973x2370y851z',
        46 :  '-199x11y3193z',
        47 :  '-2018x1275y2129z',
        48 :  '-2033x1477y1980z',
        49 :  '-207x989y3036z',
        50 :  '-2100x2270y820z',
        51 :  '-2101x1178y2105z',
        52 :  '-2124x1379y1954z',
        53 :  '-2178x1076y2081z',
        54 :  '-2210x1276y1929z',
        55 :  '-2222x2162y789z',
        56 :  '-2251x969y2057z',
        57 :  '-226x2154y2355z',
        58 :  '-2291x1167y1903z',
        59 :  '-2318x857y2032z',
        60 :  '-231x1y3191z',
        61 :  '-2338x2048y758z',
        62 :  '-2366x1053y1878z',
        63 :  '-2379x740y2007z',
        64 :  '-2433x620y1982z',
        65 :  '-2436x935y1852z',
        66 :  '-2448x1928y727z',
        67 :  '-2482x495y1957z',
        68 :  '-2499x812y1825z',
        69 :  '-2524x367y1932z',
        70 :  '-2551x1801y696z',
        71 :  '-2555x684y1799z',
        72 :  '-2559x237y1906z',
        73 :  '-2605x553y1772z',
        74 :  '-2648x1669y664z',
        75 :  '-2648x419y1746z',
        76 :  '-2667x106y1939z',
        77 :  '-266x1006y3025z',
        78 :  '-2684x282y1719z',
        79 :  '-2712x142y1692z',
        80 :  '-2732x0y1664z',
        81 :  '-2737x1531y633z',
        82 :  '-2819x1388y602z',
        83 :  '-2893x1241y570z',
        84 :  '-2959x1090y539z',
        85 :  '-3017x935y507z',
        86 :  '-3067x777y476z',
        87 :  '-3108x616y444z',
        88 :  '-3140x453y412z',
        89 :  '-3164x289y380z',
        90 :  '-3178x123y349z',
        91 :  '-327x1020y3015z',
        92 :  '-340x1989y2483z',
        93 :  '-342x2162y2333z',
        94 :  '-350x2951y1184z',
        95 :  '-38x12y3199z',
        96 :  '-391x1029y3004z',
        97 :  '-449x1993y2462z',
        98 :  '-457x1035y2993z',
        99 :  '-460x2164y2311z',
        100 :  '-506x2940y1155z',
        101 :  '-524x1036y2981z',
        102 :  '-559x1990y2442z',
        103 :  '-578x2159y2289z',
        104 :  '-592x1033y2969z',
        105 :  '-661x1026y2957z',
        106 :  '-662x2921y1125z',
        107 :  '-671x1981y2421z',
        108 :  '-697x2148y2266z',
        109 :  '-69x18y3199z',
        110 :  '-731x1014y2945z',
        111 :  '-782x1966y2400z',
        112 :  '-7x2y3199z',
        113 :  '-802x997y2932z',
        114 :  '-817x2129y2244z',
        115 :  '-817x2893y1095z',
        116 :  '-872x975y2919z',
        117 :  '-894x1944y2379z',
        118 :  '-936x2104y2221z',
        119 :  '-943x949y2906z',
        120 :  '-96x945y3055z',
        121 :  '-971x2856y1065z'} 
#"
#"/>

# ----------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire3200five4xi" usage = "target function for charge32004xi4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# ----------------------------------------------------------------------------------------------------------------
def fire3200five4xi(queue2five, consumer_channel2five, publisher_channel2five):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE3200FIVE4XIFIVE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE3200FIVE4XIFIVE4XI -  QUEUE2FIVE: ", queue2five)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE3200FIVE4XIFIVE4XI -  CONSUMER_CHANNEL2FIVE: ", consumer_channel2five)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE3200FIVE4XIFIVE4XI -  PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE3200FIVE4XIFIVE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2five.put(shot2five32004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE3200FIVE4XIFIVE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE3200FIVE4XIFIVE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE3200FIVE4XIFIVE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2five8shot2five32004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2five8shot2five32004xi</nack2put4xi>" 
            
        publisher_channel2five.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE3200FIVE4XIFIVE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE3200FIVE4XIFIVE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE3200FIVE4XIFIVE4XI - RETURNING QUEUE OBJECT QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi())  
        # 
            
    return queue2five    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire3200five4xi.py                             
# -------------------------------------------------------------------------------------------------                